0

I just installed firefox but it display the following error :

XPCOMGlueLoad error for file /usr/lib/firefox/libmozgtk.so:

libwayland-efl.so.1: cannot open shared object file : no such file or directory

Couldn't load XPCOM

Is there a way for me to find a package able to fix libwayland-efl.so.1 ? pkgfile doesn't return anything.

0
8

Yes,

pacman has a separate file database for that purpose.

run:

pacman -Fyy 

to update the file database and use:

pacman -F libmozgtk.so

to search for the package your are looking for

From the manual page of pacman:

man pacman 

   -F, --files
       Query the files database. This operation allows you to look for packages owning certain
       files or display files owned by certain packages. Only packages that are part of your sync
       databases are searched. See File Options below.

UPDATED answer to remove s from -Fs as it is not needed

3
  • That method applied to libwayland-efl.so.1 gives the package mesa and it fixed the problem. Aug 1 '16 at 18:59
  • This doesn't seem to be true any more; -Fs just produces invalid option '-s'. Jun 25 at 20:33
  • @DavidGiven indeed, you do not need s nowadays. I will try to update/edit this answer from 2016.
    – ebal
    Jun 27 at 12:00

Not the answer you're looking for? Browse other questions tagged or ask your own question.